YUMDOWNLOADER(1)

NOM
yumdownloader – Redirection vers le greffon de téléchargement DNF

Téléchargement de paquets binaires ou source.

SYNOPSIS

dnf download [options] spécification_paquet ...

ARGUMENTS

    spécification_paquet
        Spécification du paquet à télécharger. Des RPM locaux peuvent être aussi indiqués. Cela est utile avec l’option --source ou pour pouvoir télécharger à nouveau un RPM.

OPTIONS

Toutes les options générales de DNF sont acceptées ; voir Options dans dnf(8) pour les détails.

    --help-cmd
        Afficher l'aide mémoire.

    --arch <arch>[,<arch>...]
        Limitation de la requête aux paquets des architectures indiquées (par défaut, toutes les architectures compatibles avec le système). Pour télécharger les paquets incompatibles avec le système, utiliser l’option --forcearch=arch pour modifier l’architecture de base du système (basearch).

    --source
        Téléchargement de RPM source. Cette option active les dépôts source de tous les dépôts binaires.

    --debuginfo
        Téléchargement de RPM debuginfo. Cette option active les dépôts debuginfo de tous les dépôts binaires.

    --downloaddir
        Répertoire de téléchargement, par défaut, celui actuel (le répertoire doit exister).

    --url
        Au lieu du téléchargement, afficher la liste des URL à partir desquels les RPM peuvent être téléchargés.

    --urlprotocol
        Limitation du protocole des URL affichés avec l’option -url. Ces protocoles sont HTTP, HTTPS, rsync, FTP.

    --resolve
        Résolution des dépendances des paquets indiqués et téléchargement des dépendances manquantes dans le système.

    --alldeps
        Lorsque cette option est utilisée avec l’option --resolve, téléchargement de toutes les dépendances (ne pas omettre celles déjà installées).

EXEMPLES

    dnf download dnf
        Téléchargement du paquet DNF le plus récent dans le répertoire actuel.

    dnf download --url dnf
        Affichage simplement de l’URL de l’emplacement distant à partir duquel le RPM DNF peut être téléchargé.

    dnf download --url --urlprotocols=https --urlprotocols=rsync dnf
        Même chose que ci-dessus, mais limitation aux URL HTTPS et rsync.

    dnf download dnf --destdir /tmp/dnl
        Téléchargement du paquet DNF le plus récent dans le répertoire /tmp/dnl (celui-ci doit exister).

    dnf download dnf --source
        Téléchargement du paquet DNF le plus récent dans le répertoire actuel.

    dnf download rpm --debuginfo
        Téléchargement du paquet rpm-debuginfo le plus récent dans le répertoire actuel.

    dnf download btanks --resolve
        Téléchargement du paquet btanks le plus récent et des dépendances non installées dans le répertoire actuel.

AUTEUR
Consulter les AUTEURS dans votre distribution principale de greffons de DNS.

COPYRIGHT
2014, Red Hat, sous licence GPLv2+

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.